首页 新闻 赞助 找找看

Visual Studio 2010 打开VS2005 网站 编译出错 “未能解析目标框架”

0
悬赏园豆:10 [待解决问题]

我在Windows Server 2003 首先安装了Visual Studio 2005 ,然后安装了Visual Studio 2010 旗舰版.我再安装了NET framework 3.5 sp1. 2.0,3.5,4.0几个框架都有了。

用vs 2005 创建的网站,用2010打开转换后,总是出现这个错误。

错误 9 未能解析目标框架“.NETFramework,Version=v3.5”的 mscorlib。如果未安装目标框架或框架名字对象的格式不正确,则会出现此情况。  

我试着用Vs 2010 创建基于 2.0,3.0,3.5的项目,都是报上面的错误,只是版本提示不一样。

但是用Vs 2010 创建 基于4.0的项目,编译就通过了。调了很久都没通啊。

各位大侠说是啥问题呢。

 

正定聚的主页 正定聚 | 初学一级 | 园豆:143
提问于:2011-02-18 09:20
< >
分享
所有回答(2)
0

vs2010 的.net框架版本是4.0 。这个4.0 是全新的框架。不像3.5 它的核心还是1.1 和2.0 。

所以要编译vs2005的项目需要安装2.0的框架或者直接安装3.5〔3.5安装会自动安装2.0 1.1〕 。这样就OK了

邢少 | 园豆:10926 (专家六级) | 2011-02-18 10:57
大侠,我已经安装了vs2005了,安装的时候就自动安装了2.0框架,然后我又安装了3.5sp1 框架。几个框架都齐全了。
支持(0) 反对(0) 正定聚 | 园豆:143 (初学一级) | 2011-02-18 17:01
3.0框架
支持(0) 反对(0) massinger | 园豆:706 (小虾三级) | 2011-02-18 19:41
0

我也出现这个错误,困扰了很久,突然灵机一动尝试用管理员账户运行vs2010并编译结果竟然成功了,特地注册了账户和大家分享一下,希望对大家有帮助。:)

拾雪在海边 | 园豆:205 (菜鸟二级) | 2011-11-29 20:18
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册